| Home | Libraries | People | FAQ | More

## Struct template rbtree_node_cloner

boost::intrusive::rbtree_algorithms::rbtree_node_cloner

## Synopsis

    // In header: <boost/intrusive/rbtree_algorithms.hpp>

    template<typename F>
    struct rbtree_node_cloner {
      // types
      typedef unspecified base_t;

      // construct/copy/destruct
      rbtree_node_cloner(F);

      // public member functions
      node_ptr operator()(node_ptr);
    };

## Description

### `rbtree_node_cloner` public construct/copy/destruct

1.     rbtree_node_cloner(F f);

### `rbtree_node_cloner` public member functions

1.     node_ptr operator()(node_ptr p);